<?php
// Ajout d'un paramètre de duplication EDT
$edtdupli = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_duplicate'");
$edtdupli_nb = mysqli_num_rows($edtdupli);
if($edtdupli_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'edt_duplicate', '0', 'Option de duplication des emplois du temps.')");
}
// Ajout d'un paramètre de fuseau horaire
$fuseau = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'fuseau'");
$fuseau_nb = mysqli_num_rows($fuseau);
if($fuseau_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'fuseau', 'Europe/Paris', 'Fuseau horaire pour la zone.')");
}
// création de la colonne groupe_actif dans _groupes
mysqli_query($bdd,"ALTER TABLE ".$prefix."_groupes ADD groupe_actif INT ( 11 ) NOT NULL");
// passage des groupes existants en actif=1
mysqli_query($bdd,"UPDATE ".$prefix."_groupes SET groupe_actif = 1");
// création de la colonne seq_actif dans _sequences
mysqli_query($bdd,"ALTER TABLE ".$prefix."_sequences ADD seq_actif INT ( 11 ) NOT NULL");
// passage des groupes existants en actif=1
mysqli_query($bdd,"UPDATE ".$prefix."_sequences SET seq_actif = 1");
// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.17' WHERE param_nom = 'version_bdd'");
?>